<?php
/**
 * SocialEngine
 *
 * @category   Application_Extensions
 * @package    Page
 * @copyright  Copyright Hire-Experts LLC
 * @license    http://www.hire-experts.com
 * @version    $Id: Photo.php 2010-08-31 16:05 idris $
 * @author     Idris
 */

/**
 * @category   Application_Extensions
 * @package    Page
 * @copyright  Copyright Hire-Experts LLC
 * @license    http://www.hire-experts.com
 */

class Page_Form_Photo extends Engine_Form
{
	public function init()
  {
  	$this
      ->setMethod('post')
      ->setAttrib('class', 'form-wrapper')
      ->setAttrib('id', 'photo-wrapper');
      
    $this->addElement('Hidden', 'edit', array('value' => 'photo'));
    
    $this->addElement('File', 'photo', array(
      'label' => 'Photo'
    ));
    
    $this->photo->addValidator('Extension', false, 'jpg,png,gif');
    
    $this->addElement('Button', 'submit', array(
      'label' => 'Save',
      'type' => 'submit',
      'ignore' => true,
      'decorators' => array('ViewHelper')
    ));
  }
}
